var _ = require("lodash"),
    Graph = require("graphlib").Graph,
    dot = require("graphlib-dot"),
    fs = require("fs");

var data = JSON.parse(fs.readFileSync("./datachef.json", "UTF-8"));
var g = new Graph({ compound: true });

_.each(data.nodes, function(node) {
  g.setNode(node.id, { label: node.label });
  _.each(node.children, function(child) {
    g.setParent(child, "cluster-" + node.id);
    g.removeNode(node.id);
  });
});

_.each(data.edges, function(edge) {
  g.setEdge(edge.u, edge.v);
});

console.log(dot.write(g));
